import * as plugins from '../plugins.js';
import type DcRouter from './classes.dcrouter.js';

export class SzDcRouterConnector {
  public qenv: plugins.qenv.Qenv;
  public dcRouterRef: DcRouter;
  constructor(dcRouterRef: DcRouter) {
    this.dcRouterRef = dcRouterRef;
    this.dcRouterRef.options.platformServiceInstance?.serviceQenv || new plugins.qenv.Qenv('./', '.nogit/');
  }

  public async getEnvVarOnDemand(varName: string): Promise<string> {
    return this.qenv.getEnvVarOnDemand(varName) || '';
  }
}